# Cinder

# cinder::audio::Loader Class Reference

`#include <Io.h>`

Inherited by cinder::audio::LoaderSourceCallback, cinder::audio::LoaderSourceFile, and cinder::audio::LoaderSourceFileWindowsMedia.

List of all members.

## Public Member Functions
virtual | ~Loader ()
virtual uint32_t | getOptimalBufferSize () const
virtual void | loadData (uint32_t *ioSampleCount, BufferList *ioData)=0
virtual uint64_t | getSampleOffset () const =0
virtual void | setSampleOffset (uint64_t anOffset)=0
## Protected Member Functions
| Loader ()
## Static Protected Member Functions
static void | fillBufferListFromCaBufferList (BufferList *aBufferList, const AudioBufferList *caBufferList)
static shared_ptr < AudioBufferList > | createCaBufferList (const BufferList *caBufferList)

## Constructor & Destructor Documentation

virtual cinder::audio::Loader::~Loader | ( |  | ) | `[virtual]`

cinder::audio::Loader::Loader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual uint32_t cinder::audio::Loader::getOptimalBufferSize | ( |  | ) | const`[virtual]`

Reimplemented in cinder::audio::LoaderSourceFileWindowsMedia.

virtual void cinder::audio::Loader::loadData | ( | uint32_t * | ioSampleCount,
|  | BufferList * | ioData |
| ) |  |  | `[pure virtual]`

Implemented in cinder::audio::LoaderSourceFile, and cinder::audio::LoaderSourceFileWindowsMedia.

virtual uint64_t cinder::audio::Loader::getSampleOffset | ( |  | ) | const`[pure virtual]`

Implemented in cinder::audio::LoaderSourceFile, and cinder::audio::LoaderSourceFileWindowsMedia.

virtual void cinder::audio::Loader::setSampleOffset | ( | uint64_t | anOffset | ) | `[pure virtual]`

Implemented in cinder::audio::LoaderSourceFile, and cinder::audio::LoaderSourceFileWindowsMedia.

void cinder::audio::Loader::fillBufferListFromCaBufferList | ( | BufferList * | aBufferList,
|  | const AudioBufferList * | caBufferList |
| ) |  |  | `[static, protected]`

shared_ptr< AudioBufferList > cinder::audio::Loader::createCaBufferList | ( | const BufferList * | caBufferList | ) | `[static, protected]`

The documentation for this class was generated from the following files:

- include/cinder/audio/Io.h
- src/cinder/audio/Io.cpp